% chirp.m
%
%Generate a chirp grating to show the visibility of sinusoidal waves.

N = 512;

% Chirp freq vector f
log10f = [1:N]*3/N - 1;
f = 10.^log10f;

phi = 2*pi*cumsum(f/200);
b = cos(phi);

log10a = [N:-1:1]'*2/N;
ampl = 10.^(-log10a);
x = ampl * b + 0.001*randn([N N]);

Y = x; U = x*0; V = x*0;
figure(2);drawrgb(uint8(yuv2rgb(cat(3,Y,U,V))*128 + 128));

Y = x*0; U = x; V = x*0;
figure(3);drawrgb(uint8(yuv2rgb(cat(3,Y,U,V))*128 + 128));

Y = x*0; U = x*0; V = x;
figure(4);drawrgb(uint8(yuv2rgb(cat(3,Y,U,V))*128 + 128));

return

Y = x*0; U = x; V = x;
figure(5);drawrgb(uint8(yuv2rgb(cat(3,Y,U,V))*128 + 128));

Y = x*0; U = -x; V = x;
figure(6);drawrgb(uint8(yuv2rgb(cat(3,Y,U,V))*128 + 128));

return;

x = uint8(x*128 + 128);
x0 = x*0+128;

xm = cat(3,x,x,x);
figure(2);drawrgb(xm)


xu = cat(3,x,x,x);
figure(3);drawrgb(xu)

xv = cat(3,x,x,x);
figure(4);drawrgb(xv)




