% gammaplot.m
% Plot gamma correction curves and piece-wise linear curves too.
%
% Nick Kingsbury, Cambridge University, 2006.

close all
k = [1:255]';

gamma = [0.5 1:0.2:2]';

y = [];
for m = 1:length(gamma),
    y = [y 255*((k/255).^(1/gamma(m)))];
end

figure(1)
subplot('position',[0.1 0.1 0.5 0.7]);
plot(k,y,'Linewidth',2)
axis([0 255 0 255])
axis square
text(130,130,'1','Fontsize',14,'vert','top');
text(160,y(160,end),'gamma = 2','Fontsize',14,'horiz','r','vert','bot');
text(100,y(100,1),'gamma = 0.5','Fontsize',14,'vert','top');
xlabel('k','Fontsize',14);
text(-20,128,'y','horiz','r','Fontsize',14);
text(-20,128,'k','horiz','l','vert','t','Fontsize',14)

print -depsc gammaplot.eps

k2 = [0:64:256]';
y2 = [k2+256*[0 0.2 0.1 -0.05 0]'  k2];

load histeq

figure(2)
subplot('position',[0.1 0.1 0.5 0.7]);
plot(k2,y2,'-o','Linewidth',2)
hold on; plot(yk(:),'-r'); hold off
axis([0 256 0 256])
axis square
text(170,170,'light = [0.2  0.1  -0.05] ','Fontsize',14,'horiz','r','vert','bot');
xlabel('k','Fontsize',14);
text(-20,128,'y','horiz','r','Fontsize',14);
text(-20,128,'k','horiz','l','vert','t','Fontsize',14)

print -depsc plinplot.eps

