% gentestim1.m
% Generate test images for Photoshop experiments for IB paper 8 Image Proc course.
%
% Nick Kingsbury, Cambridge University, Nov 2005.

N =256; % size of test images
x = 128*ones(N,N,3);  % Start with mid grey image.

t2 = N/2 + [-N/8:(N/8 - 1)]; 
t1 = t2 - round(N/3);
t3 = t2 + round(N/3);
colrs = 32 * [7 1 3; 2 7 3; 2 1 7; 7 4 4; 4 7 4; 4 4 7; 7 6 6; 6 7 6; 6 6 7];
n = length(t1);

x(t1,t1,:) = reshape(repmat(colrs(1,:),n*n,1),[n n 3]);  % R
x(t1,t2,:) = reshape(repmat(colrs(2,:),n*n,1),[n n 3]);  % R
x(t1,t3,:) = reshape(repmat(colrs(3,:),n*n,1),[n n 3]);  % R
x(t2,t1,:) = reshape(repmat(colrs(4,:),n*n,1),[n n 3]);  % R
x(t2,t2,:) = reshape(repmat(colrs(5,:),n*n,1),[n n 3]);  % R
x(t2,t3,:) = reshape(repmat(colrs(6,:),n*n,1),[n n 3]);  % R
x(t3,t1,:) = reshape(repmat(colrs(7,:),n*n,1),[n n 3]);  % R
x(t3,t2,:) = reshape(repmat(colrs(8,:),n*n,1),[n n 3]);  % R
x(t3,t3,:) = reshape(repmat(colrs(9,:),n*n,1),[n n 3]);  % R

xui = uint8(x);

imwrite(xui,'test1.tif');



