% ph_openfile.m
%
% Script to open a file for editing and display it.
%
% Nick Kingsbury, Cambridge University, 2006.

% Prompt user for a tif or jpeg filename.
[Filename,PathName] = uigetfile({'*.tif; *.jpg','Image files (*.tif, *.jpg)'},...
    'Open Image File');
infile = [PathName Filename];

% Read the file into (m x n x 3) unsigned integer array xui (the 'Before' image)
xui = imread(infile);

% Copy xui to yui ('After') if yui does not already exist.
if exist('yui')~=1, yui = xui; end 

% Display xui and yui.
newbefore=1; showimages

