% ph_savefile.m
%
% Script to save the 'After' image to a file.
%
% Nick Kingsbury, Cambridge University, 2006.

% Suggest an output filename which has '_a' appended to the input name.
% If '_a' is already appended, change this to '_b' etc.
% [pathstr,name,ext,versn] = fileparts(infile);
[pathstr,name,ext] = fileparts(infile);
if name(end-1)~='_', name = [name '_a']; 
else name(end) = name(end) + 1;
end
outfile = [pathstr  '\'  name  ext];

% Prompt user for an output filename.
[FileName,PathName] = uiputfile(outfile,'Save Image File');

% Write yui to the file if Filename is valid.
if FileName == 0, disp('''After'' image has not been saved.');
else imwrite(yui,[PathName FileName],'Quality',95);
end
